@media print {
  body * {
    visibility: hidden;
  }
  
  pp-sidenav-list {
    display: none;
  }
  #myGrid, #myGrid * {
    visibility: visible;
  }
  #myGrid {
    position: absolute;
    left: 0;
    top: 0;
  }
}
@mixin app-agency-site-maintenance-theme($theme) {
    $primary: map-get($theme, primary);
    $warn: map-get($theme, warn);
    $accent: map-get($theme, accent);

    
    
  
    app-agency-site-maintenance {
      width: 100%;
      padding: 5px;
      overflow-x: hidden;
    }  
    .agency-site-maintenance {
      margin-top: 25px !important;
      display: flex;
      flex-direction: column;
      padding: 5px;
      background-color: mat-color($primary, 50);
  
      .ags-main-card  {
        display: flex;
        flex-direction: column;
        padding: 0px;
        background-color: mat-color($primary, 50);

        
        .inner-card-full {
          display: flex;
          flex: auto;
          padding: 0px !important;
          margin-bottom: 0px !important;
  
          .mat-card-content {
            padding-left: 0;
          }
  
          .vcs-btn-rows {
            flex-direction: row !important;
          }
  
          button {
            min-width: 220px;
            height: 45px !important;
            margin: 2px;
            margin-left: 0px;
            margin-right: 25px !important;
            text-align: left;
  
            .mat-icon {
              width: 30px;
              height: 25px;
              padding: 0px;
              padding-bottom: 0;
              font-size: 2.6em;
            }
  
            .multiline-icon {
              padding-top: 10px;
            }
  
            .mat-button-ripple-round {
              border-radius: 0 !important;
            }
  
            .btn-text {
              padding: 6px;
              color: black;
              font-size: 0.9em;
            }
  
            .line-break {
              padding: 0px 8px;
              display: table;
              margin-left: 36px;
              margin-top: -24px;
            }
          }
        }
  
  
        .mat-card-header {
          width: 100%;
          font-size: 0.9em;

          .top-header-filter {
              display: flex;
              padding: 0px 10px;
              margin: 0px 10px;
              font-size: 0.9em;
              height: 50px;
    
              .left-text {
                display: flex;
                float: left;
                height: inherit;
                align-items: center;
              }

              .right-text {
                display: flex;
                flex: auto;
    
                button {
                  margin: 5px;
                  margin-left: 15px;
                  height: 30px;
                  width: 20px;
                }
            }
          }
        }
  
        .content-main {
          display: flex;
          flex-flow: column wrap; 
         
         .content-sub {
            display: flex;
            align-items: center;
           
            .content-sub-label {
              order: 1;
              width: 12em;
              padding-right: 0.5em;
              // font-weight: bold;
             }
      
             .content-sub-field {
              order: 2;
              flex: 1 1 auto;
            }
      
            .fileInput {
              margin-bottom: 10px;
            }
      
            .content-sub-actions {
              margin-left: 2px;
            }
      
            .content-sub-middle {
              font-weight: bold;
              margin-bottom: 5px;
            }
      
            .file-error-msg{        
              padding: 0 1em;
              font-size: 0.8em;
              margin-top: -10px;
              
            }
      
          }
            
         }
      
         .toolbar-spacer {
          flex: 1 1 auto;
        }

      } 
    
    }
  }